OTFPRINT(1)

NAME
otfprint - Convert an OTF trace into a human readable, long version

DESCRIPTION

    otfprint - Convert an OTF trace or parts of it into a human readable, long

    version.

    Syntax: otfprint [options] <input file name>

    options:

-h, --help
    show this help message

-V  show OTF version

-f <n>
    set max number of filehandles available (default: 50)

-o <file>
    output file if the ouput file is unspecified the stdout will be used

--num <a> <b> output only records no. [a,b]

--time <a> <b>
    output only records with time stamp in [a,b]

--nodef
    omit definition records

--noevent
    omit event records

--nostat
    omit statistic records

--nosnap
    omit snapshot records

--nomarker
    omit marker records

--nokeyvalue
    omit key-value pairs

--fullkeyvalue
    show key-value pairs including the contents of byte-arrays

--procs <a>
    show only processes <a> <a> is a space-seperated list of process-tokens

--records <a> show only records <a>
    <a> is a space-seperated list of record-type-numbers record-type-numbers can be found in OTF_Definitions.h (OTF_*_RECORD)

-s, --silent
    do not display anything except the time otfprint needed to read the tracefile